%{!?tcl_version: %global tcl_version %(echo 'puts $tcl_version' | tclsh)}
%{!?tcl_sitearch: %global tcl_sitearch %{_libdir}/tcl%{tcl_version}}

Name:           tcl-thread
Version:        2.8.8
Release:    1%{?dist}
Summary:        Tcl Thread extension
License:        TCL
URL:            http://tcl.sourceforge.net
Source0:        http://prdownloads.sourceforge.net/tcl/thread%{version}.tar.gz
Patch0:         tcl-thread-x86_64-build.patch

BuildRequires: make
BuildRequires:  gcc
BuildRequires:  tcl-devel
BuildRequires:  gdbm-devel
Requires:       tcl(abi) = 8.6

%description
Thread extension for the Tcl toolkit.  You can use this extension to gain
script level access to Tcl threading capabilities.

%package        devel
Summary:        Include files and mandatory libraries for development
Requires:       %{name} = %{version}-%{release}

%description    devel
Include files and mandatory libraries for development.

%prep
%autosetup -p0 -n thread%{version}

%build
%configure --with-gdbm --enable-64bit
%make_build

%install
%make_install
mkdir -p %{buildroot}%{tcl_sitearch}
mv %{buildroot}%{_libdir}/thread%{version} %{buildroot}%{tcl_sitearch}/
chmod 755 %{buildroot}%{tcl_sitearch}/thread%{version}/libthread%{version}.so

%files
%doc README ChangeLog
%license license.terms
%{tcl_sitearch}/thread%{version}
%{_mandir}/mann/*

%files devel
%{_includedir}/tclThread.h

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.8.8-1
- initial build
